/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


#site-header {
    position: fixed;
    width: 100%;
    z-index: 999;
    margin-top: -8px;
    background-color: rgb(255 255 255 / 90%);
}

.is-sticky {
    background: rgb(255 255 255 / 95%);
    border-bottom: 1px solid rgb(0 0 0 / 4%);
    z-index: 999;
    margin-top: -8px;
}

#site-header.is-sticky li a, #site-header.is-sticky .site-navigation ul.menu li.menu-item-has-children:after, #site-header .sub-menu li a {
    color: #5170FF;
}

#site-header .site-navigation ul.menu li.menu-item-has-children:after {
    color: white;
}

#site-header .sub-menu li a {
    color: #5170FF;
}

.container {
    max-width: 1170px;
    position: relative;
    margin: 0 auto;
    width: 96%;
}

.flex-col {
    display: flex;

}

.page-btn, .file-btn[type=file]::file-selector-button, .button_div .button {
    background-color: #213058;
    color: white;
    padding: 10px 20px;
    border-radius: 5px;
    border: none;
    font-family: 'Raleway';
    font-weight: 600;
    transition: .5s ease-in-out;
    display: flex;
    align-items: center;
    justify-content: center;
}

.page-btn:focus, .page-btn:hover, .file-btn[type=file]::file-selector-button:hover, .button_div .button:hover {
    background-color: #F4AE3F;
    color: #213058;
    transition: .5s ease-in-out;
}

h3 {
    font-family: 'Raleway';
}

p {
    font-family: 'Raleway';
}



/*== MODAL ==*/
.modal {position: fixed; top: 0; right: 0; bottom: 0; left: 0; z-index: 1050; display: none; overflow: hidden; -webkit-overflow-scrolling: touch; outline: 0; overflow-x: hidden; 
	overflow-y: auto; background-color: rgb(24 24 27 / 80%);}
.fade.in {opacity: 1;}
.fade {opacity: 0; -webkit-transition: opacity .15s linear; -o-transition: opacity .15s linear; transition: opacity .15s linear;}
.modal-dialog {
    max-width: 1170px;
    margin: 5% auto 50px;
    position: relative;
    left: 8px;
    width: 96%;
}
.modal-content {
	position: relative;
	background-color: white;
	/* [disabled]-webkit-background-clip: padding-box; */
	background-clip: padding-box;
	outline: 0;
	-webkit-box-shadow: 0 5px 15px rgba(0,0,0,.5);
	box-shadow: 0 5px 15px rgba(0,0,0,.5);
	padding: 81px 50px 98px;
}
.modal .close {
    border: 2px solid #FE8007;
    float: right;
    margin-top: -56px;
    width: 24px;
    height: 24px;
    color: white;
    font-size: 25px;
    margin-right: 0px;
    outline: none;
    cursor: pointer;
    background-color: transparent;
    border-radius: 0px;
    position: relative;
    padding: 0px;
    border-radius: 50%;
}
.modal .close span {
    position: absolute;
    top: 40%;
    left: 52%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    color: #FC6D26;
    font-size: 18px;
    font-weight: bold;
    line-height: 1;
}
.modal .close:hover {background-color: #FC6D26;}
.modal .close:hover span {color: white;}
.modal-open #masthead {background-color: white;}

/* HEADER */
#site-header li a {
    font-family: 'Raleway';
    font-size: 15px;
    color: #5170FF;
    display: flex;
    justify-content: center;
    align-items: center;
    line-height: 50px;
    transition: .3s;
    -webkit-transition: .3s;
    font-weight: 600;
    text-transform: uppercase;
}

#site-header li a:hover, #site-header li.current-menu-item a, #site-header li.current-menu-parent a, #site-header .site-navigation ul.menu li.menu-item-has-children:hover:after, #site-header .site-navigation ul.menu li.menu-item-has-children.current-menu-parent:after {
    color: #0bbfc9;
}

#site-header .site-navigation ul.menu li.menu-item-has-children:after {
    color: #5170FF;
}

.is-sticky #masthead {
    background-color: white;
    box-shadow: 0px 10px 11px -10px rgb(0 0 0 / 10%);
    position: fixed;
    margin-top: 0px;
    transition: .3s;
    -webkit-transition: .3s;
    z-index: 999;
}

.is-sticky .site_branding_logo {
    width: 240px;
    margin: 1px 0px 0px;
}


/*MOBILE RESPONSIVE*/
@media only screen and (max-width: 767px) {
    #site-header {
        position: relative;
    }

    .overview {
        flex-direction: column;
    }

    .drug-controls {
        padding: 40px 0px 10px;
        flex-direction: column;
    }

    .import-export-container {
        order: 1;
    }

    .add-drg-btn {
        order: 2;
    }

    .export-csv {
        justify-content: flex-start;
        margin-bottom: 25px;
    }

    .import-csv {
        margin-bottom: 25px;
    }

    .import-csv small {
        text-align: left !important;
    }

    .import-csv form {
        display: block;
    }

    input.file-btn {
        margin-bottom: 10px;
    }
    .drug-search {
        margin-bottom: 20px;
    }

    .edit-2col {
        flex-direction: column;
        gap: 20px;   
    }

    p.p-edit {
        margin-bottom: 0px;
    }

    .filter-buttons {
        flex-direction: column;
    }

    .drug-search {
        width: 100%;
    }

    .drug-listings-filters {
        padding: 40px 0px 30px;
        flex-direction: column;
        align-items: flex-start;
        width: 100%;
    }

    .drug-filters {
        flex-direction: column;
        width: 100%;
    }

    .drug-list-items {
        grid-template-columns: repeat(2, 1fr);
    }
}


@media only screen and (max-width: 568px) {
    .site-header .site-branding .site-logo img {
        width: 180px;
        max-width: 180px;
    }

    .container {
        width: 94%;
    }

    .dashboard-banner {
        padding: 50px 0px 50px;
    }

    .modal-dialog {
        width: 90%;
    }

    .modal-content {
        padding: 80px 30px;
    }

    #site-footer .site-logo.show {
        max-width: 195px;
        margin: 0 auto 20px;
    }

}